<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>SVG</title>
	<style>
		.container {
			margin: 0 auto;
			width: 1170px;
		}

		.box-cards {
			display: flex;
			flex-wrap: wrap;
		}

		.box-item {
			width: 33.33%;
			height: 450px;
			padding: 16px;
			box-sizing: border-box;
		}

		.box-content {
			display: flex;
			flex-direction: column;
			align-items: center;
			height: 100%;
			flex: 1 1 auto;
			padding: 16px;
			box-sizing: border-box;
			box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
		}

		.box-content embed,
		.box-content object,
		.box-content svg,
		.box-content img { width: 100%;}

		.html-logo {
			background-image: url("./images/HTML5.svg");
			background-size: cover;
			width: 200px;
			height: 200px;
		}

		.html-logo-fix {
			background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='512px' height='512px' viewBox='0 0 512 512' enable-background='new 0 0 512 512' xml:space='preserve'%3E%3Cswitch%3E%3Cg%3E%3Cg%3E%3Cpolygon fill='rgb(0,0,0)' points='107.644,470.877 74.633,100.62 437.367,100.62 404.321,470.819 255.778,512'/%3E%3Cpolygon fill='rgb(0,0,0)' points='256,480.523 376.03,447.246 404.27,130.894 256,130.894'/%3E%3Cg%3E%3Cpolygon fill='%23EBEBEB' points='256,268.217 195.91,268.217 191.76,221.716 256,221.716 256,176.305 255.843,176.305 142.132,176.305 143.219,188.488 154.38,313.627 256,313.627'/%3E%3Cpolygon fill='%23EBEBEB' points='256,386.153 255.801,386.206 205.227,372.55 201.994,336.333 177.419,336.333 156.409,336.333 162.771,407.634 255.791,433.457 256,433.399'/%3E%3C/g%3E%3Cg%3E%3Cpath d='M108.382,0h23.077v22.8h21.11V0h23.078v69.044H152.57v-23.12h-21.11v23.12h-23.077V0z'/%3E%3Cpath d='M205.994,22.896h-20.316V0h63.72v22.896h-20.325v46.148h-23.078V22.896z'/%3E%3Cpath d='M259.511,0h24.063l14.802,24.26L313.163,0h24.072v69.044h-22.982V34.822l-15.877,24.549h-0.397l-15.888-24.549v34.222 h-22.58V0z'/%3E%3Cpath d='M348.72,0h23.084v46.222h32.453v22.822H348.72V0z'/%3E%3C/g%3E%3Cg%3E%3Cpolygon fill='%23FFFFFF' points='255.843,268.217 255.843,313.627 311.761,313.627 306.49,372.521 255.843,386.191 255.843,433.435 348.937,407.634 349.62,399.962 360.291,280.411 361.399,268.217 349.162,268.217'/%3E%3Cpolygon fill='%23FFFFFF' points='255.843,176.305 255.843,204.509 255.843,221.605 255.843,221.716 365.385,221.716 365.385,221.716 365.531,221.716 366.442,211.509 368.511,188.488 369.597,176.305'/%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/switch%3E%3C/svg%3E");
			background-size: cover;
			width: 200px;
			height: 200px;
		}

	</style>
</head>
<body>
<main>
	<section class="container">
		<div class="box-cards">
			<div class="box-item">
				<div class="box-content">
					<h3>Использование
						< object > тега.
					</h3>

					<object type="image/svg+xml" data="./images/HTML5.svg" width="200" height="200">
						Your browser does not support SVG
					</object>
				</div>
			</div>
			<div class="box-item">
				<div class="box-content">
					<h3>Использование
						< iframe > тега.
					</h3>

					<iframe src="./images/HTML5.svg"></iframe>
				</div>
			</div>
			<div class="box-item">
				<div class="box-content">
					<h3>Использование < img > тега.</h3>

					<img src="./images/HTML5.svg" width="200" height="200" alt="image description">
				</div>
			</div>
			<div class="box-item">
				<div class="box-content">
					<h3>Использование непосредственного встраивания (inline SVG ).</h3>

					<svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
						 x="0px" y="0px" width="512px" height="512px" viewBox="0 0 512 512" enable-background="new 0 0 512 512"
						 xml:space="preserve">
						<switch>
							<g>
								<g>
									<polygon fill="hsl(13, 77%, 52%)"
											 points="107.644,470.877 74.633,100.62 437.367,100.62 404.321,470.819 255.778,512"/>
									<polygon fill="hsl(18, 86%, 55%)" points="256,480.523 376.03,447.246 404.27,130.894 256,130.894"/>
									<g>
										<polygon fill="#EBEBEB"
												 points="256,268.217 195.91,268.217 191.76,221.716 256,221.716 256,176.305 255.843,176.305 142.132,176.305 143.219,188.488 154.38,313.627 256,313.627"/>
										<polygon fill="#EBEBEB"
												 points="256,386.153 255.801,386.206 205.227,372.55 201.994,336.333 177.419,336.333 156.409,336.333 162.771,407.634 255.791,433.457 256,433.399"/>
									</g>
									<g>
										<path d="M108.382,0h23.077v22.8h21.11V0h23.078v69.044H152.57v-23.12h-21.11v23.12h-23.077V0z"/>
										<path d="M205.994,22.896h-20.316V0h63.72v22.896h-20.325v46.148h-23.078V22.896z"/>
										<path d="M259.511,0h24.063l14.802,24.26L313.163,0h24.072v69.044h-22.982V34.822l-15.877,24.549h-0.397l-15.888-24.549v34.222      h-22.58V0z"/>
										<path d="M348.72,0h23.084v46.222h32.453v22.822H348.72V0z"/>
									</g>
									<g>
										<polygon fill="#FFFFFF"
												 points="255.843,268.217 255.843,313.627 311.761,313.627 306.49,372.521 255.843,386.191 255.843,433.435 348.937,407.634 349.62,399.962 360.291,280.411 361.399,268.217 349.162,268.217"/>
										<polygon fill="#FFFFFF"
												 points="255.843,176.305 255.843,204.509 255.843,221.605 255.843,221.716 365.385,221.716 365.385,221.716 365.531,221.716 366.442,211.509 368.511,188.488 369.597,176.305"/>
									</g>
								</g>
							</g>
						</switch>
</svg>
				</div>
			</div>
			<div class="box-item">
				<div class="box-content">
					<h3>Использование
						< embed >
						тега.
					</h3>

					<embed type="image/svg+xml" src="./images/HTML5.svg"/>
				</div>
			</div>
			<div class="box-item">
				<div class="box-content">
					<h3>Использование CSS Background Image.</h3>

					<div class="html-logo"></div>
				</div>
			</div>
			<div class="box-item">
				<div class="box-content">
					<h3>Использование CSS Background Image <a href="https://yoksel.github.io/url-encoder/">управляемого</a>.</h3>

					<div class="html-logo-fix"></div>
				</div>
			</div>
		</div>
	</section>
</main>
</body>
</html>